CURLOPT_SEEKDATA(3)

NAME
CURLOPT_SEEKDATA - custom pointer passed to the seek callback

SYNOPSIS
#include <curl/curl.h>

CURLcode curl_easy_setopt(CURL *handle, CURLOPT_SEEKDATA, void *pointer);

DESCRIPTION
Data pointer to pass to the seek callback function. If you use the CURLOPT_SEEKFUNCTION(3) option, this is the pointer you'll get as input.

DEFAULT
If you don't set this, NULL is passed to the callback.

PROTOCOLS
HTTP, FTP, SFTP

EXAMPLE
static int seek_cb(void *userp, curl_off_t offset, int origin)
{
  struct data *d = (struct data *)userp;
  lseek(our_fd, offset, origin);
  return CURL_SEEKFUNC_OK;
}

{
  struct data seek_data;
  curl_easy_setopt(CURL *handle, CURLOPT_SEEKFUNCTION, seek_cb);
  curl_easy_setopt(CURL *handle, CURLOPT_SEEKDATA, &seek_data);
}

AVAILABILITY
Added in 7.18.0

RETURN VALUE

SEE ALSO
CURLOPT_STDERR(3), CURLOPT_DEBUGFUNCTION(3),